function frames = convert_freq2time(freqs)

% time = convert_time2freq(frames)
% 
% This function converts the speech signal frames (from frequency-domain 
% segments) to time representation using IDFT. It returns the associated 
% frames cell array.
% 
% freqs    - input short-term frequency-domain frame cell array
% frames   - output short-term time-domain frame cell array

%% Return time representation of the frames
frames = cell(length(freqs), 1);

for i = 1:length(freqs)
    f = freqs{i};
    
    conj_freq = conj(f(end - isreal(f(end)):-1:2, :));
    full_freq = [f; conj_freq];
	frames{i} = real(ifft(full_freq));
end
