function freqs = convert_time2freq(frames)

% freqs = convert_time2freq(frames)
% 
% This function converts the speech signal frames (time-domain segments) 
% to frequency-domain representation using DFT. It returns 'one-sided' 
% spectrum of each frame in the associated cell array element.
% 
% frames    - input short-term time-domain frame cell array
% freqs     - output short-term frequency-domain frame cell array

%% Return one-sided frequency spectrum
freqs = cell(length(frames), 1);

for i = 1:size(frames, 2)
    f = fft(frames{:, i});
    
    freqs{i} = f(1:ceil((length(f) + 1)/2));
end